package com.dsic.gj_erp.controller.sy;


import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.service.sy.SyDictService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xhj
 * @since 2021-03-15
 */
@RestController
@RequestMapping(value = "/api/sy/dict")
public class SyDictController {
    @Autowired
    SyDictService syDictService;


    @PostMapping(value = "/getTreeList")
    public ResultBean getTreeList(@RequestBody Map<String, Object> params) {
        return new ResultBean( syDictService.getTreeList(params));

    }

    @PostMapping(value = "/getTxTreeList")
    public ResultBean getTxTreeList(@RequestBody Map<String, Object> params) {
        return new ResultBean( syDictService.getTxTreeList(params));

    }

    @PostMapping(value = "/getTreeListForQKFL")
    public ResultBean getTreeListForQKFL(@RequestBody Map<String, Object> params) {
        return new ResultBean( syDictService.getTreeListForQKFL(params));

    }





}

